using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PT
{
    [Description("导航属性：安全生产目标与指标制定内容表")]
    public class T_PT_INDICATOR_FORMULATION_DEPARTMENT_DETAIL_CONTENT : MesEntityBase
    {
        [Description("部门、车间安全生产目标与指标制定细表")]
        [DataFieldForeignKey("Nav_DepartmentDetail", "Nav_DetailContent")]
        public Guid INDICATOR_FORMULATION_DEPARTMENT_DETAIL_ID { get; set; }

        [Description("导航属性：部门、车间安全生产目标与指标制定细表")]
        public virtual T_PT_INDICATOR_FORMULATION_DEPARTMENT_DETAIL Nav_DepartmentDetail { get; set; }
        
        [Description("顺序")]
        [FormFieldTable]
        [FormFieldQuery]
        public int ROW_NO { get; set; }

        [Description("安全生产目标与指标")]
        [FormFieldTable]
        [FormFieldQuery]
        public string NAME { get; set; }
    }
}
